Bug 185796 - nforce430 - sata_nv - freeze
nforce430 - sata_nv - freeze
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-18 03:25 EST by shrek-m
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-19 08:32:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vv (20.15 KB, text/plain)
2006-03-18 03:32 EST, shrek-m
no flags Details
dmesg -s120000 (16.31 KB, text/plain)
2006-05-04 02:20 EDT, shrek-m
no flags Details

  None (edit)
Description shrek-m 2006-03-18 03:25:37 EST
Description of problem:
the syetem  (msi-k8ngm2-fid, nforce430, 3 sata-disks = sda,sdb,sdc) freezes in
runlevel 3 while booting or a few seconds after logon with the following error
"ata1: command 0x35 timeout, stat 0x50 host_stat 0x24"

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.2059_FC5 i686
kernel-2.6.15-1.2054_FC5 i686

How reproducible:
always

Steps to Reproduce:
1. boot
2. if poosible logon
  
Actual results:
freeze (reset button is necessary)

Expected results:
should work with all kernels >= 2.6.15-1.1826.2.10_FC5 i686

Additional info:
sdb and sdc are not mounted
no problem with kernel-2.6.15-1.1826.2.10_FC5 i686  (fc5test2-inst) for hours,
Comment 1 shrek-m 2006-03-18 03:32:02 EST
Created attachment 126301 [details]
lspci -vv

---- lspci ----
00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:05.0 VGA compatible controller: nVidia Corporation C51 PCI Express Bridge
(rev a2)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a2)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a2)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a2)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a2)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev a1)
00:0e.0 RAID bus controller: nVidia Corporation MCP51 Serial ATA Controller
(rev a1)
00:0f.0 RAID bus controller: nVidia Corporation MCP51 Serial ATA Controller
(rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a1)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address
Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
04:08.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host Controller
(rev 80)
Comment 2 shrek-m 2006-03-19 08:32:34 EST
ACPI  was the problem.
disabled acpi in bios
or
acpi=off
and all is ok.
Comment 3 shrek-m 2006-03-27 07:13:10 EST
in bios acpi = enabled but ioapic = disabled
and all is ok

or

acpi and ioapic = enabled in bios
and booting with "noapic"
works too.
Comment 4 Dan Carpenter 2006-05-03 23:41:35 EDT
Could you post a copy of /proc/interrupts and the output from `dmesg -s 120000`?



Comment 5 shrek-m 2006-05-04 02:20:57 EDT
Created attachment 128583 [details]
dmesg -s120000

$ dmesg | wc
    398    2373   16702
$ dmesg -s120000 | wc
    398    2373   16702


$ cat /proc/interrupts
	   CPU0
  0:	 284626 	 XT-PIC  timer
  1:	     10 	 XT-PIC  i8042
  2:	      0 	 XT-PIC  cascade
  5:	 140960 	 XT-PIC  libata, libata, HDA Intel, ehci_hcd:usb1,
ohci_hcd:usb2, ohci1394, eth0
  8:	      0 	 XT-PIC  rtc
 12:	    104 	 XT-PIC  i8042
 14:	   9934 	 XT-PIC  ide0
NMI:	     80
LOC:	 284613
ERR:	      4
MIS:	      0
Comment 6 Dan Carpenter 2006-05-05 02:32:37 EDT
Booting with "noapic" isn't a good fix.  Also it changes the output of `cat
/proc/interrupts` so that everything is XT-PIC.

But you're almost certainly right that this is a BIOS bug so I'm leaving it closed.

Here are the key lines from your dmesg.

ACPI Error (nssearch-0311): Bad character in ACPI Name: 43005350 [20060127]
ACPI Error (dswload-0305): [0x43005350] (NON-ASCII) Namespace lookup failure,
AE_BAD_CHARACTER
ACPI Exception (psloop-0281): AE_BAD_CHARACTER, During name lookup/catalog
[20060127]
ACPI Exception (tbxface-0115): AE_BAD_CHARACTER, Could not load namespace [20060127]
ACPI Exception (tbxface-0122): AE_BAD_CHARACTER, Could not load tables [20060127]
ACPI: Unable to load the System Description Tables

Contact your mobo vendor for an updated BIOS.  I wouldn't run a box with noapic
in production.

Note You need to log in before you can comment on or make changes to this bug.